Page MenuHomePhabricator

[Regression] Incorrect "publish": message on Add a link mobile when there is not edit made
Closed, ResolvedPublicBUG REPORT

Assigned To
Authored By
RHo
Dec 2 2021, 12:56 PM
Referenced Files
F34876679: image.png
Dec 10 2021, 10:01 AM
F34876673: image.png
Dec 10 2021, 10:01 AM
F34849643: Screen Shot 2021-12-06 at 11.38.37 AM.png
Dec 6 2021, 8:06 PM
F34849647: Screen Shot 2021-12-06 at 11.41.39 AM.png
Dec 6 2021, 8:06 PM
F34813163: Screen Shot 2021-12-02 at 11.56.08 AM.png
Dec 2 2021, 8:14 PM
F34809892: image.png
Dec 2 2021, 12:56 PM
F34809877: image.png
Dec 2 2021, 12:56 PM

Description

List of steps to reproduce (step by step, including full links if applicable):

  • Open an "Add a link" task on *mobile*
  • Reject at least one link suggestion and continue to submit the edit

What happens?:
User receives the post-edit dialog message saying "You've published an edit. Thanks and keep going!" when no edit was made.

image.png (1×718 px, 133 KB)

What should have happened instead?:
User should have received a post-edit dialog message saying "Thanks for reviewing suggestions. Keep going!".

image.png (1×724 px, 113 KB)

Software version (if not a Wikimedia wiki), browser information, screenshots, other information, etc:
Testwiki. (Note that enwiki betalabs is showing the correct message)

Event Timeline

This is not an issue on desktop (on testwiki).

Screen Shot 2021-12-02 at 11.56.08 AM.png (856×1 px, 142 KB)

On mobile on testwiki, data.newRevId is present in the postEditMobile event when the link recommendation is rejected (null edit), so the UI is showing the success message. Whereas locally and in betalabs, newRevId is undefined.

@Tgr @kostajh Any ideas why the newRevId would be present upon null edit on testwiki only?

Re-tested Add image and Add links rejected/skipped

  • on ruwiki wmf.9 with UI lang English (desktop & mobile)
  • on testwiki wmf.9 (desktop and mobile)

For mobile testing I used a browser emulator and a real device to (iPhone and Android)

  • checked for skipped suggestions (Add image and Add links)

After rejecting (or skipping) suggestions, both desktop and mobile will display the correct post-edit dialog:

Screen Shot 2021-12-06 at 11.38.37 AM.png (956×1 px, 162 KB)
Screen Shot 2021-12-06 at 11.41.39 AM.png (1×790 px, 133 KB)

@RHo - could you quickly check if you still see the issue? It might be that I did not take into account some subtle points that could trigger the issue.

Thanks @Etonkovidova - I rechecked on testwiki and now the published and rejected messages have the correct message and styling now!

Published
image.png (1×778 px, 152 KB)
Rejected
image.png (1×768 px, 145 KB)